/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';
@import '~@plateg/theme/styles/plateg-mixins.less';
.upload-holder {
  padding: 16px;
  background: #fff;
  .item-row {
    padding: 10px 0 10px;
    border-bottom: 1px solid;
  }
  .vertical-seperator {
    border-left: 1px solid;
    height: 95%;
    margin-left: 50%;
  }
  .ant-form-item-label {
    display: block;
  }
  .ant-upload {
    display: block;
    .ant-form-item-label {
      border-top: 1px solid;
      padding-top: 8px;
      margin-top: 32px;
    }
    &:focus {
      & > button {
        .general-outline-layout;
        background: @platform-text-color;
        color: @platform-btn-primary-color;
        border-color: @platform-text-color;
      }
    }
    &.ant-upload-drag {
      padding: 1px;
      &:hover,
      &:focus-within,
      &.ant-upload-drag-hover {
        padding: 0px;
        border: 2px dashed @platfrom-blue1 !important;
      }
      .ant-upload-drag-container {
        padding: 0 10px;
        .ant-upload-drag-icon {
          svg {
            color: @platfrom-blue1 !important;
          }
        }
      }
      &.ant-upload-disabled {
        border-color: @text-disabled-color !important;
        * {
          color: @text-disabled-color !important;
        }
      }
    }
  }
  .ant-upload-list-item {
    height: auto;
    color: @platfrom-blue1;
    .ant-upload-text-icon {
      .anticon {
        color: @platfrom-blue1;
      }
    }
    .ant-upload-list-item-card-actions-btn {
      opacity: 1;
      &:hover,
      &:focus,
      &:active {
        .anticon {
          color: #fff;
        }
      }
      .anticon {
        color: #000;
      }
    }

    &.ant-upload-list-item-error {
      .ant-upload-list-item-name {
        color: @platform-red1;
      }
      .ant-upload-text-icon,
      .ant-upload-list-item-card-actions-btn {
        &:hover,
        &:focus,
        &:active {
          .anticon {
            color: #fff;
          }
        }
        .anticon {
          color: @platform-red1;
        }
      }
    }
  }
  .ant-upload-disabled {
    button,
    button:focus {
      cursor: not-allowed;
      pointer-events: none;
      color: @links-grey-color;
      border-color: @links-grey-color;
      background: @platform-btn-primary-color;
      box-shadow: none;
    }
  }
  .ant-row.ant-form-item {
    margin-bottom: 0;
  }

  .ant-row.ant-form-item.ant-form-item-with-help.ant-form-item-has-error {
    margin-left: -34px;
    padding-left: 36px;
  }
}
